> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/attributes/attribute-details/data-type-details.md).

# Data type details

| Text                 |                                                                                                                        |
| -------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| Enable AI assistant  | Determines whether to enable the AI assistant on this attribute.                                                       |
| Use multi row input  | Determines whether to use a text area instead of a one line input field. Enter the height in pixels you want it to be. |
| Unit                 | Unit of attribute values.                                                                                              |
| RegEx validation     | A regular expression, which the input has to match.                                                                    |
| Max length           | The maximum number of characters allowed.                                                                              |
| Show character count | Determines whether you want to show the number of characters entered.                                                  |

| Number             |                                                     |
| ------------------ | --------------------------------------------------- |
| Number of decimals | The number of decimals to round to.                 |
| Unit               | Unit of attribute values.                           |
| RegEx validation   | A regular expression, which the input has to match. |

| Date         |                                                                            |
| ------------ | -------------------------------------------------------------------------- |
| Include time | Determines whether users shall be able to select time as well as the date. |

| Media             |                                                                              |
| ----------------- | ---------------------------------------------------------------------------- |
| Media types       | The types of files that can be selected in this attribute.                   |
| Allow multiselect | Determines whether it should be possible to choose more than one media item. |

| Complex                        |                                                                                                                           |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------- |
| Sub attributes                 | The sub attributes, which this complex attribute should consist of.                                                       |
| Display rendering              | The attributes that should be shown when rendering this attribute for frontend display.                                   |
| Separator                      | A separator to use between attribute values. If more than one attribute is chosen for display rendering (default is ,).   |
| Backoffice rendering           | The attributes that should be shown when rendering this attribute in the backoffice.                                      |
| Backoffice rendering separator | A separator to use between attribute values. If more than one attribute is chosen for backoffice rendering (default is ,) |

| List              |                                                                                   |
| ----------------- | --------------------------------------------------------------------------------- |
| Row data model    | A row data model representing the data structure for each row in the list.        |
| Render separator  | A separator to use between rows when rendering to a single string (default is \|) |
| Enable table view | Determines whether you want to display the list items in a searchable table.      |

| Global list value     |                                                                                  |
| --------------------- | -------------------------------------------------------------------------------- |
| Global list           | The global list which contains the values assignable to this attribute.          |
| Allow multiple values | Determines whether selection of multiple values from the global list is allowed. |

| Product reference             |                                                                                                                              |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| Limit to product structure(s) | The product structures users shall be able to select products from (selecting none will allow users to select all products). |
| Allow multiple items          | Determines whether it should be possible to select multiple products.                                                        |

| Variant group reference            |                                                                                                                              |
| ---------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| Only variant groups of the product | Determines whether it is only possible to select variant groups of the product itself.                                       |
| Limit to product structure(s)      | The product structures users shall be able to select products from (selecting none will allow users to select all products). |
| Allow multiple items               | Determines whether it should be possible to select multiple products.                                                        |

| Variant reference                |                                                                                                                                 |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| Only variants of the product     | Determines whether it is only possible to select variants of the product itself.                                                |
| Limit to product structure(s)    | The product structures users shall be able to select products from (selecting none will allow users to select all products).    |
| Limit to variation definition(s) | The variation definitions users shall be able to select variants from (selecting none will allow users to select all variants). |
| Allow multiple items             | Determines whether it should be possible to select multiple products.                                                           |

| Category reference   |                                                                       |
| -------------------- | --------------------------------------------------------------------- |
| Allow multiple items | Determines whether it should be possible to select multiple products. |

| Collection reference |                                                                       |
| -------------------- | --------------------------------------------------------------------- |
| Product collections  | Determines whether product collections can be selected.               |
| Variant collections  | Determines whether variant collections can be selected.               |
| Allow multiple items | Determines whether it should be possible to select multiple products. |

| Attribute reference   |                                                                       |
| --------------------- | --------------------------------------------------------------------- |
| Attribute scopes      | The attribute scopes users shall be able to choose from.              |
| Attribute types       | The attribute types which are selectable.                             |
| Allow multiple values | Determines whether it should be possible to select multiple products. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/attributes/attribute-details/data-type-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
